Page MenuHomePhabricator

Evaluate Spinnaker
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2019, 6:20 PM
zeljkofilipin triaged this task as Normal priority.Mar 14 2019, 6:20 PM
hashar added a subscriber: hashar.Mar 15 2019, 6:57 AM
zeljkofilipin removed zeljkofilipin as the assignee of this task.Mar 20 2019, 1:58 PM
zeljkofilipin moved this task from In Progress 🔨 to Next 🔜 on the User-zeljkofilipin board.
brennen claimed this task.Mar 20 2019, 6:38 PM

"Spinnaker is an open source, multi-cloud continuous delivery platform for releasing software changes with high velocity and confidence."

As far as I can tell, Spinnaker expects to consume images from an existing CI system (Jenkins, Travis, artifact release to Docker registry or GitHub, etc.) for deployment to a cloud platform. As it's focused on delivery / deployment, I don't think it's really suited to evaluation under the CI WG's current charter. (It may be more relevant to overall discussions of the pipeline.) It's also got a lot of moving parts, judging by the number of Docker containers involved in a baseline demo instance.

Brief notes on getting a Spinnaker instance running locally:

mkdir spinnaker-test
cd spinnaker-test
git clone git@github.com:helm/charts.git helm-charts
minikube start --memory 8128 --vm-driver=kvm2
helm init
helm install --name test-spinnaker -f charts/stable/spinnaker/values.yaml stable/spinnaker --timeout 600
# Now wait 30 minutes to an hour - once helm install finishes, you can check pod status with
# kubectl get pods
# until all are in a running state.  

export DECK_POD=$(kubectl get pods --namespace default -l "cluster=spin-deck" -o jsonpath="{.items[0].metadata.name}")
kubectl port-forward --namespace default $DECK_POD 9000 &
export GATE_POD=$(kubectl get pods --namespace default -l "cluster=spin-gate" -o jsonpath="{.items[0].metadata.name}")
[[kubectl]] port-forward --namespace default $GATE_POD 8084 &
brennen closed this task as Resolved.Mon, Mar 25, 3:38 PM